%define real_version 1.0b7

Summary:	HTML to PostScript converter
Name:		html2ps
Version:	2.0
Release:	%mkrel 3.b7.6
License:	GPL
Group:		Graphics/Utilities
URL:		http://user.it.uu.se/~jan/html2ps.html
Source:		http://user.it.uu.se/~jan/html2ps-%{real_version}.tar.gz
Patch0:		html2ps-1.0b5-conf.patch
Patch1:		html2ps-1.0b5-perl_path.patch
Patch2:		html2ps-1.0b5-open.patch
BuildArch:	noarch

%description
The Perl script html2ps converts HTML to PostScript. It would have more
capabilities if you have some of these packages installed: ImageMagick,
netpbm-progs, libjpeg-progs, perl-libwww, ghostscript, tetex, tetex-dvips
- see documentation for details.

html2ps can be used as ImageMagick delegate to convert from HTML.

%package -n	xhtml2ps
Summary:	GUI frontend for html2ps, a HTML-to-PostScript converter
Group:		Graphics/Utilities
Requires:	%{name} = %{version}
Requires:	tk

%description -n	xhtml2ps
xhtml2ps is freely-available GUI frontend for html2ps, a HTML-to-PostScript
converter.

%prep

%setup -q -n %{name}-%{real_version}
%patch0 -p1
%patch1 -p0
%patch2 -p0

%build
perl -pi.orig -e '
        s|\@CONFDIR\@|%{_sysconfdir}|;
        s|\@DOCDIR\@|%{_docdir}/%{name}|;
    ' html2ps html2ps.1

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_mandir}/man1
install -d %{buildroot}%{_mandir}/man5

install -m0755 html2ps %{buildroot}%{_bindir}/html2ps
install -m0755 contrib/xhtml2ps/xhtml2ps %{buildroot}%{_bindir}/xhtml2ps

install -m0644 html2psrc %{buildroot}%{_sysconfdir}/html2psrc
install -m0644 html2ps.1 %{buildroot}%{_mandir}/man1/html2ps.1
install -m0644 html2psrc.5 %{buildroot}%{_mandir}/man5/html2psrc.5

%files
%defattr(-,root,root,0755)
%doc COPYING html2ps.html README sample
%config(noreplace) %{_sysconfdir}/html2psrc
%{_bindir}/html2ps
%{_mandir}/man1/html2ps.1*
%{_mandir}/man5/html2psrc.5*

%files -n xhtml2ps
%defattr(-,root,root,0755)
%doc contrib/xhtml2ps/LICENSE contrib/xhtml2ps/README
%{_bindir}/xhtml2ps


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 2.0-3.b7.6.mga6
+ Revision: 942497
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0-3.b7.5.mga5
+ Revision: 746978
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 2.0-3.b7.4.mga5
+ Revision: 725073
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0-2.b7.4.mga5
+ Revision: 680181
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0-2.b7.3.mga4
+ Revision: 505507
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.0-2.b7.2.mga3
+ Revision: 353294
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Fri Oct 05 2012 oden <oden> 2.0-2.b7.1.mga3
+ Revision: 302869
- used the new "Graphics/Other" group
- 1.0b7 (http://www.openwall.com/lists/oss-security/2012/10/05/1)
- rediffed patches where needed

* Sat Feb 19 2011 ahmad <ahmad> 2.0-2.b5.5.mga1
+ Revision: 54241
- imported package html2ps


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0-2.b5.5mdv2011.0
+ Revision: 605882
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0-2.b5.4mdv2010.1
+ Revision: 520121
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.0-2.b5.3mdv2010.0
+ Revision: 425156
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 2.0-2.b5.2mdv2009.1
+ Revision: 351239
- rebuild

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 2.0-2.b5.1mdv2009.0
+ Revision: 264656
- rebuild early 2009.0 package (before pixel changes)

* Mon May 26 2008 Paulo Andrade <pcpa@mandriva.com.br> 2.0-0.b5.1mdv2009.0
+ Revision: 211462
- Don't search for binaries in /usr/X11R6/bin before /usr/bin.

* Fri Jan 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0-0.b5.1mdv2008.1
+ Revision: 144866
- import html2ps


* Fri Jan 04 2008 <oeriksson@mandriva.com> 1.0-0.b5.1mdv2008.1
- initial Mandriva package
